#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  Apr-1.7.5

- Next

  Aspell-0.60.8.1

- Up
- Home

# Apr-Util-1.6.3

## Introduction to Apr Util

The Apache Portable Runtime Utility Library provides a predictable and consistent interface to underlying client library interfaces. This application programming interface assures predictable if not identical behavior regardless of which libraries are available on a given platform.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://archive.apache.org/dist/apr/apr-util-1.6.3.tar.bz2

- Download MD5 sum: b6e8c9b31d938fe5797ceb0d1ff2eb69

- Download size: 423 KB

- Estimated disk space required: 7.6 MB (add 1.4 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.3 SBU for tests)

### Apr Util Dependencies

#### Required

Apr-1.7.5

#### Optional

FreeTDS, MariaDB-11.4.5 or MySQL, OpenLDAP-2.6.9, PostgreSQL-17.4, SQLite-3.49.1, unixODBC-2.3.12, and Berkeley DB (deprecated)

## Installation of Apr Util

Install Apr Util by running the following commands:

    ./configure --prefix=/usr       \
                --with-apr=/usr     \
                --with-gdbm=/usr    \
                --with-openssl=/usr \
                --with-crypto &&
    make

To test the results, issue: make -j1 test. One test, testdbm, is known to fail.

Now, as the `root` user:

    make install

## Command Explanations

`--with-gdbm=/usr`: This switch enables the `apr_dbm_gdbm-1.so` plugin.

`--with-openssl=/usr` `--with-crypto`: These switches enable the `apr_crypto_openssl-1.so` plugin.

`--with-berkeley-db=/usr`: If you have installed Berkeley DB (deprecated), use this switch to compile the `apr_dbm_db-1.so` plugin.

`--with-ldap`: If you have installed OpenLDAP-2.6.9, use this switch to compile the `apr_ldap.so` plugin.

## Contents

Installed Program: apu-1-config
Installed Library: libaprutil-1.so
Installed Directory: /usr/lib/apr-util-1

### Short Descriptions

apu-1-config | is an APR-util script designed to allow easy command line access to APR-util configuration parameters
`libaprutil-1.so` | contains functions that provide a predictable and consistent interface to underlying client library interfaces

- Prev

  Apr-1.7.5

- Next

  Aspell-0.60.8.1

- Up
- Home